| Home | Libraries | People | FAQ | More

## Global self

boost::xpressive::self — Reference to the current regex object.

## Synopsis

    unspecified self;

## Description

Useful when constructing recursive regular expression objects. The 'self' identifier is a short-hand for the current regex object. For instance, sregex rx = '(' >> (self | nil) >> ')'; will create a regex object that matches balanced parens such as "((()))".